Bug 1576246 - [free-int] 2 deployments will be unexpectedly triggered after a new image is built
Summary: [free-int] 2 deployments will be unexpectedly triggered after a new image is ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Image Registry
Version: 3.x
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: 3.x
Assignee: Stefanie Forrester
QA Contact: Dongbo Yan
URL:
Whiteboard:
Depends On: 1579107
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-09 06:58 UTC by Xingxing Xia
Modified: 2018-06-18 16:09 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1543317
Environment:
Last Closed: 2018-06-18 16:09:40 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Xingxing Xia 2018-05-09 06:58:47 UTC
The issue exist on ded-int-aws (OpenShift Master: v3.7.23, Kubernetes Master: v1.7.6+a08f5eeb62) too, thus cloning it:
$ oc new-app centos/ruby-22-centos7~https://github.com/openshift/ruby-ex.git
$ oc get pod
NAME              READY     STATUS      RESTARTS   AGE
ruby-ex-1-build   0/1       Completed   0          3m
ruby-ex-2-8r6qb   1/1       Running     0          2m

The deployment is triggered twice


+++ This bug was initially created as a clone of Bug #1543317 +++

Description of problem:

... snipped...

--- Additional comment from ge liu on 2018-03-07 10:31:51 CST ---

Verified that this issue have been fixed in ded-stage-aws, thx

Comment 1 Ben Parees 2018-05-09 13:53:59 UTC
Stephanie, I presume this env needs the same fix as https://bugzilla.redhat.com/show_bug.cgi?id=1543317

1) the master must have the OPENSHIFT_DEFAULT_REGISTRY env var set or it must be set in the master-config via:
imagePolicyConfig:
  internalRegistryHostname: docker-registry.default.svc.cluster.local:5000

2) the registry DC must have OPENSHIFT_DEFAULT_REGISTRY or REGISTRY_OPENSHIFT_SERVER_ADDR set

(both to the same value)


I'd suggest you go check what was done in ded-stage-aws and make ded-int-aws match it.

Comment 2 Dongbo Yan 2018-05-17 06:36:11 UTC
Reproduce this bug on free-int

Comment 3 Stefanie Forrester 2018-05-23 20:40:12 UTC
Fixed in ded-int-aws and free-int.

Comment 4 Xingxing Xia 2018-05-24 01:00:18 UTC
Verified in ded-int-aws (server v3.7.23). Now deployment is only triggered once.
In free-int, bug 1579107 still exists. Will verify this bug when that unblocked

Comment 5 Xingxing Xia 2018-05-24 02:09:36 UTC
Noticed reporter of bug 1579107 communicated with Dev in online and made it addressed.
Now verified this bug in free-int; deployment is only triggered once.
OpenShift Master: v3.10.0-0.50.0 (online version 3.6.0.83)
Kubernetes Master: v1.10.0+b81c8f8
OpenShift Web Console: v3.10.0-0.50.0

Thank you


Note You need to log in before you can comment on or make changes to this bug.